%define name xmmsmplayer
%define version 0.5
%define release %mkrel 9

Name: %{name}
Summary: An input plug-in for XMMS that plays videos using MPlayer
Version: %{version}
Release: %{release}
License: GPL
Group: Video
Source0: http://prdownloads.sourceforge.net/xmmsmplayer/%name-%{version}.tar.bz2
URL: http://www.cse.iitb.ac.in/~nandan/xmmsmplayer/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	libxmms-devel
Requires: xmms
Requires: mplayer

%description
This an xmms plugin that allows you to use xmms as a front-end for
MPlayer. You'll need MPlayer properly installed and in the PATH.

%prep
%setup -q
cat /dev/null > acinclude.m4
aclocal
autoconf
libtoolize --force

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/xmms/Input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ChangeLog README AUTHORS
%{_libdir}/xmms/Input/libxmmsmplayer.so




%changelog
* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-9mdv2009.0
+ Revision: 262592
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5-8mdv2009.0
+ Revision: 257392
- rebuild

* Sat Jan 26 2008 Götz Waschk <waschk@mandriva.org> 0.5-6mdv2008.1
+ Revision: 158447
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.5-5mdv2007.0
+ Revision: 113197
- Import xmmsmplayer

* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.5-5mdv2007.1
- Rebuild

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.0
- Rebuild

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 0.5-3mdk
- Rebuild
- use mkrel

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.5-2mdk
- fix build on x86_64

* Fri Sep 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- reintroduce it, this is different from xmms-mplayer

